import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRPowerSourceClusterBatFaultChangeEvent extends _NSObject {
    static alloc(): _MTRPowerSourceClusterBatFaultChangeEvent;
    static new(): _MTRPowerSourceClusterBatFaultChangeEvent;
    init(): _MTRPowerSourceClusterBatFaultChangeEvent;
    current(): _NSArray;
    setCurrent$(value: _NSArray): void;
    previous(): _NSArray;
    setPrevious$(value: _NSArray): void;
}
export interface _MTRPowerSourceClusterBatFaultChangeEvent extends _NSCopying {
}
